org.apache.ignite.internal.processors.clock

## Class GridClockDeltaVersion

- java.lang.Object
- - org.apache.ignite.internal.processors.clock.GridClockDeltaVersion

All Implemented Interfaces:
  Externalizable, Serializable, Comparable<GridClockDeltaVersion>, Message

    public class GridClockDeltaVersion
    extends Object
    implements Message, Comparable<GridClockDeltaVersion>, Externalizable

Version for time delta snapshot.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClockDeltaVersion()` Empty constructor required by `Externalizable`.
`GridClockDeltaVersion(long ver, long topVer)`

### Method Summary

Methods
`int` `compareTo(GridClockDeltaVersion o)`
`byte` `directType()` Gets message type.
`boolean` `equals(Object o)`
`byte` `fieldsCount()` Gets fields count.
`int` `hashCode()`
`void` `onAckReceived()` Method called when ack message received.
`void` `readExternal(ObjectInput in)`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`long` `topologyVersion()`
`String` `toString()`
`long` `version()`
`void` `writeExternal(ObjectOutput out)`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClockDeltaVersion

    public GridClockDeltaVersion()

Empty constructor required by `Externalizable`.

#### GridClockDeltaVersion

    public GridClockDeltaVersion(long ver,
                         long topVer)

Parameters:
  `ver` - Version.
  `topVer` - Topology version.

### Method Detail

#### version

    public long version()

Returns:
  Snapshot local version.

#### topologyVersion

    public long topologyVersion()

Returns:
  Snapshot topology version.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### compareTo

    public int compareTo(GridClockDeltaVersion o)

Specified by:
  `compareTo` in interface `Comparable<GridClockDeltaVersion>`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016